# PUT /api/v1/contractors/{vendor_id}

> Update contractor 1099 fields

- **Tag:** contractors
- **Operation ID:** `update_contractor_api_v1_contractors__vendor_id__put`

## Description

Set the 1099 flag, tax id, tax id type, and default box.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `vendor_id` (path, string, required)

## Request body

Schema: `ContractorUpdateRequest`

- `is_1099_contractor` (boolean)
- `tax_id` (string)
- `tax_id_type` (string) — ein or ssn.
- `default_1099_box` (string) — e.g. "NEC-1".

## Responses

### 200 — Successful Response

Schema: `ContractorResponse`

- `id` (string · required)
- `business_id` (string · required)
- `name` (string · required)
- `email` (string)
- `tax_id` (string)
- `is_1099_contractor` (boolean)
- `tax_id_type` (string)
- `default_1099_box` (string)
- `created_at` (string · date-time)
- `updated_at` (string · date-time)

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X PUT 'https://api.ondayzero.com/api/v1/contractors/{vendor_id}' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "is_1099_contractor": false,
  "tax_id": "string",
  "tax_id_type": "string",
  "default_1099_box": "string"
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/contractors/{vendor_id}', {
  method: 'PUT',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "is_1099_contractor": false,
  "tax_id": "string",
  "tax_id_type": "string",
  "default_1099_box": "string"
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "is_1099_contractor": false,
  "tax_id": "string",
  "tax_id_type": "string",
  "default_1099_box": "string"
}

response = httpx.put("https://api.ondayzero.com/api/v1/contractors/{vendor_id}", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/contractors/update-contractor
- OpenAPI slice: https://www.ondayzero.com/docs/reference/contractors/update-contractor/openapi.json
- Other endpoints in **contractors**: https://www.ondayzero.com/docs/reference/contractors
